Unreleased documentation. These pages follow the main branch and can change before the next release. For supported guidance, use v0.43.0.
proposals.attachments.supporting-document.get
GET
/v1/proposals/{proposal_id}/attachments/supporting-document
const url = 'https://example.com/v1/proposals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/attachments/supporting-document?accessProfile=facility-correction-author&submissionVersion=1';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/proposals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/attachments/supporting-document?accessProfile=facility-correction-author&submissionVersion=1'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”proposal_id
required
string format: uuid
Query Parameters
Section titled “Query Parameters”accessProfile
required
string
submissionVersion
required
integer
reviewContextField
string
All three review-context query members are required together and select only get-review-context authority. Omit all three for ordinary get authority.
effectDigest
string
All three review-context query members are required together and select only get-review-context authority. Omit all three for ordinary get authority.
contextSchemaDigest
string
All three review-context query members are required together and select only get-review-context authority. Omit all three for ordinary get authority.
Responses
Section titled “Responses”Authorized Proposal operation
Media typeapplication/octet-stream
string format: binary
Resource unavailable to this caller
Observed authority or lifecycle condition changed